%define name gnotepad+
%define version 1.3.3
%define release 1

Summary: A small and simple but versatile text editor for X.

Name: %{name}
Version: %{version}
Release: %{release}
Group: Applications/Editors
Copyright: Freely distributable
Url: http://members.xoom.com/ackahn/gnp
Source: %{name}-%{version}.tar.gz
Buildroot: /var/tmp/%{name}-%{version}-%{release}-root
Prefix: %{_prefix}
Requires: gtk+ >= 1.2.0 glib >= 1.2.0

%define DEFCC cc

%changelog
* Fri Feb 08 2002 Dan McNichol <mcnichol@austin.ibm.com>
- Update to version 1.3.3
- Clean up ia64 stuff.

* Fri Mar 09 2001 Marc Stephenson <marc@austin.ibm.com>
- Add logic for default compiler
- Rebuild against new shared objects

* Fri Oct 27 2000 pkgmgr <pkgmgr@austin.ibm.com>
- Modify for AIX Freeware distribution

* Mon Feb  7 2000 Bill Nottingham <notting@redhat.com>
- handle compressed manpages

* Wed Jul 07 1999 Michael Fulbright <drmike@redhat.com>
- version 1.1.4

* Tue Apr 01 1999 Michael Fulbright <drmike@redhat.com>
- version 1.1.3

* Fri Mar 19 1999 Michael Fulbright <drmike@redhat.com>
- strip binaries

* Fri Mar 12 1999 Michael Fulbright <drmike@redhat.com>
- version 1.1.2
- doesnt work with GNOME session management, disabling GNOME support

* Sun Mar 06 1999 Michael Fulbright <drmike@redhat.com>
- version 1.1.1

* Fri Feb 19 1999 Michael Fulbright <drmike@redhat.com>
- version 1.1.0

* Fri Jan 22 1999 Michael Fulbright <drmike@redhat.com>
- first attempt at spec file

%description
Gnotepad+ is an easy-to-use, yet fairly feature-rich, simple text
editor for the X Window System and GTK+. Gnotepad+ is designed to be
as small as possible, while still providing many of the common
features found in a modern GUI-based text editor.

Install gnotepad+ if you need a small but capable text editor.

%prep
%setup -q

%build
# Use the default compiler for this platform - gcc otherwise
if [[ -z "$CC" ]]
then
    if test "X`type %{DEFCC} 2>/dev/null`" != 'X'; then
       export CC=%{DEFCC}
    else 
       export CC=gcc
    fi
fi
if test "X$CC" != "Xgcc"
then
       export RPM_OPT_FLAGS=`echo $RPM_OPT_FLAGS | sed 's:-fsigned-char::'`
       export CFLAGS="$RPM_OPT_FLAGS"
fi
CFLAGS="$RPM_OPT_FLAGS" LDFLAGS="-Wl,-brtl" ./configure --prefix=%{prefix}
make

%install
if [ -d $RPM_BUILD_ROOT ]; then rm -r $RPM_BUILD_ROOT; fi
mkdir -p $RPM_BUILD_ROOT%{prefix}
make prefix=$RPM_BUILD_ROOT%{prefix} install

# strip binaries
/usr/bin/strip `LANG=C file $RPM_BUILD_ROOT/%{prefix}/bin/* | awk -F':' '/executable/ { print $1 }'`

(cd $RPM_BUILD_ROOT
    mkdir -p usr/bin
    cd usr/bin
    ln -sf ../..%{_prefix}/bin/* .
)

%files
%doc AUTHORS NEWS README TODO ChangeLog
%defattr(-,root,root)
%attr(755,root,root)
%{prefix}/bin/gnp
/usr/bin/gnp
%{prefix}/man/man1/gnp.*
%{prefix}/share/gnotepad+

%clean
rm -r $RPM_BUILD_ROOT


